angular.module('odoo')

    .controller('MainController', function ($scope, ChartFactory) {
        $scope.selectedYear = 2016;
        $scope.bar = {};
        $scope.doughnut = {};

        $scope.$on('device.shaked', function () { 
            $scope.createCharts();
        });

        $scope.$on('$ionicView.enter', function () {
            $scope.createCharts();
        });

        /**
         *
         */
        $scope.createCharts = function () {
            ChartFactory.leadsVsOpportunitiesBar(function (result) {
                $scope.bar = result;
            });

            ChartFactory.opportunitiesCounterDoughnut(function (result) {
                $scope.doughnut = result;
            });
        }
    });
